package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.TableShouyiYaopinxinxi;


/**
*  service接口类
*/
public interface TableShouyiYaopinxinxiService{

    List<TableShouyiYaopinxinxi> getTableShouyiYaopinxinxiList(TableShouyiYaopinxinxi record);

    List<TableShouyiYaopinxinxi> getTableShouyiYaopinxinxiByPage(Page page, TableShouyiYaopinxinxi record);

    TableShouyiYaopinxinxi getTableShouyiYaopinxinxiById(String id);

    TableShouyiYaopinxinxi getTableShouyiYaopinxinxi(TableShouyiYaopinxinxi record);

    boolean createTableShouyiYaopinxinxi(TableShouyiYaopinxinxi record);

    boolean deleteTableShouyiYaopinxinxi(String id);

    boolean updateTableShouyiYaopinxinxi(TableShouyiYaopinxinxi record);
}

